#include <cglm/struct.h>
#include <GL/glew.h>

typedef struct worldMesh
{
    unsigned int vertexArrayCount;
    unsigned int triangleArrayCount;
    GLfloat* vertices;
    unsigned int* triangles;
} worldMesh;


/*!
 * @brief top-level world generation function
 *
 * @param[in] pos       the position of the center of the roughly spherical world
 * @return          the world mesh as a heap-allocated list of vertices.
 */
worldMesh* generateWorld(vec3s pos);
void populateIcosphere(worldMesh* mesh, unsigned char order, GLfoat radius);
void normalizeVertices(GLfloat* vertices, unsigned int vertexArrayCount, GLfloat radius);
